ED(1)

NAZWA
ed, red - wierszowy edytor tekstu

SKŁADNIA
ed [opcje] [plik]

OPIS
GNU ed is a line-oriented text editor. It is used to create, display, modify and otherwise manipulate text files, both interactively and via shell scripts. A restricted version of ed, red, can only edit files in the current directory and cannot execute shell commands. Ed is the 'standard' text editor in the sense that it is the original editor for Unix, and thus widely available. For most purposes, however, it is superseded by full-screen editors such as GNU Emacs or GNU Moe.

OPCJE

-h, --help
    wyświetla ten tekst i kończy pracę

-V, --version
    wyświetla informacje o wersji i kończy działanie

-E, --extended-regexp
    używa rozszerzonych wyrażeń regularnych

-G, --traditional
    działa w trybie kompatybilności

-l, --loose-exit-status
    wychodzi z kodem zakończenia 0, nawet gdy polecenie się nie powiedzie

-p, --prompt=NAPIS
    Używa NAPISU jako znaku zachęty

-q, --quiet, --silent
    suppress diagnostics written to stderr

-r, --restricted
    działa w trybie okrojonym

-s, --script
    suppress byte counts and '!' prompt

-v, --verbose
    bardziej szczegółowe wyjście; ekwiwalent polecenia "H"

--strip-trailing-cr
    strip carriage returns at end of text lines

Zaczyna edycję od odczytu pliku. jeśli go podano. Jeśli plik zaczyna się od !, czyta wyjście polecenia powłoki.

Exit status: 0 for a normal exit, 1 for environmental problems (file not found, invalid command line options, I/O errors, etc), 2 to indicate a corrupt or invalid input file, 3 for an internal consistency error (e.g., bug) which caused ed to panic.

ZGŁASZANIE BŁĘDÓW
Błędy prosimy zgłaszać na adres bug-ed@gnu.org
Strona domowa Ed: http://www.gnu.org/software/ed/ed.html
Ogólna pomoc dotycząca oprogramowania GNU: http://www.gnu.org/gethelp

PRAWA AUTORSKIE
Copyright © 1994 Andrew L. Moore.
Copyright © 2023 Antonio Diaz Diaz. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja dla programu ed jest utrzymywana jako podręcznik Texinfo. Jeśli programy info oraz ed są właściwie zainstalowane, polecenie

    info ed

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.